---
title: 'Get questions for a loyalty rule'
description: 'This endpoint allows you to fetch questions for a loyalty rule.'
openapi: GET /api/loyalty/questions
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/questions` — query parameters: `loyaltyRuleIds`, `websiteId`, `organizationId`, `userId`, `limit`, `startingAfter`

`GET https://admin.snagsolutions.io/api/loyalty/questions`

This endpoint allows you to fetch questions for a loyalty rule.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Query parameters

- `loyaltyRuleIds` (string, required) — UUID of the loyalty rule to fetch questions for
- `websiteId` (string) — UUID of the website to fetch questions for
- `organizationId` (string) — UUID of the organization to fetch questions for
- `userId` (string) — UUID of the user to fetch questions for
- `limit` (integer) — Maximum number of records to return (max 100)
- `startingAfter` (string) — Pagination cursor to start after a specific resource ID

## Response 200

200
  - response (object)
    - `data` (array, required)
      - `items` (object) — Response returned for a question
        - `id` (string, uuid, required)
        - `text` (string, required)
        - `loyaltyQuestionChoices` (array, required)
          - `items` (object)
            - id: … (nested further)
            - text: … (nested further)
            - sortIdentifier: … (nested further)
    - `hasNextPage` (boolean, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
